Package org.eclipse.lemminx.extensions.dtd.xmlmodel

## Class XMLModelDTDValidator

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLDTDValidator
  - - org.eclipse.lemminx.extensions.xerces.ExternalXMLDTDValidator
    - - org.eclipse.lemminx.extensions.dtd.xmlmodel.XMLModelDTDValidator

All Implemented Interfaces:
  `org.apache.xerces.impl.dtd.XMLDTDValidatorFilter`, `org.apache.xerces.impl.RevalidationHandler`, `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.parser.XMLDocumentSource`, `org.apache.xerces.xni.XMLDocumentHandler`, `XMLModelValidator`

    public class XMLModelDTDValidator
    extends ExternalXMLDTDValidator
    implements XMLModelValidator

XML model validator which process validation with DTD:

            <?xml-model href="http://java.sun.com/dtd/web-app_2_3.dtd"?>

### Field Summary

### Fields inherited from class org.eclipse.lemminx.extensions.xerces.ExternalXMLDTDValidator

`DOCTYPE`

### Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`BALANCE_SYNTAX_TREES, DATATYPE_VALIDATOR_FACTORY, DYNAMIC_VALIDATION, ERROR_REPORTER, fBalanceSyntaxTrees, fDatatypeValidatorFactory, fDocLocation, fDocumentHandler, fDocumentSource, fDTDGrammar, fDTDValidation, fDynamicValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fNamespaceContext, fNamespaces, fSeenDoctypeDecl, fSymbolTable, fValENTITIES, fValENTITY, fValID, fValidation, fValidationManager, fValidationState, fValIDRef, fValIDRefs, fValNMTOKEN, fValNMTOKENS, fValNOTATION, fWarnDuplicateAttdef, GRAMMAR_POOL, NAMESPACES, PARSER_SETTINGS, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF`

### Constructor Summary

Constructors
`XMLModelDTDValidator​(String href)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setExternalDoctype​(String externalDoctype)`
`void` `setXMLReader​(XMLReader documentHandler)`

### Methods inherited from class org.eclipse.lemminx.extensions.xerces.ExternalXMLDTDValidator

`emptyElement, reset, setLocator, startDocument, startElement`

### Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`addDTDDefaultAttrsAndValidate, characterData, characters, comment, doctypeDecl, endCDATA, endDocument, endElement, endGeneralEntity, endNamespaceScope, getDocumentHandler, getDocumentSource, getExternalEntityRefInAttrValue, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, hasGrammar, ignorableWhitespace, init, invalidStandaloneAttDef, isSpace, processingInstruction, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startGeneralEntity, startNamespaceScope, textDecl, validate, validateDTDattribute, xmlDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent

`getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, reset, setFeature, setProperty`

### Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler

`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

`getDocumentHandler, setDocumentHandler`

### Methods inherited from interface org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelValidator

`setLocator`

### Constructor Detail

#### XMLModelDTDValidator

    public XMLModelDTDValidator​(String href)

### Method Detail

#### setExternalDoctype

    public void setExternalDoctype​(String externalDoctype)

Overrides:
  `setExternalDoctype` in class `ExternalXMLDTDValidator`

#### setXMLReader

    public void setXMLReader​(XMLReader documentHandler)

Specified by:
  `setXMLReader` in interface `XMLModelValidator`